
import java.net.*;

import java.awt.*;
import java.awt.event.*;

import javax.swing.*;

class HyperLinkLabel extends JLabel{
	
	private String uri;
	private String text;
	
	public HyperLinkLabel(String uri){
		this.uri = uri;
		this.text = uri;
		initialize();
	}
	
	public HyperLinkLabel(String uri, String text){
		this.uri = uri;
		this.text = text;
		initialize();
	}
	
	private void initialize(){
		setText("<html><a href='" + uri + "'>" + text + "</a>");
		setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
		addMouseListener(
			new MouseAdapter(){
				public void mousePressed(MouseEvent e) {
					try{
						Desktop.getDesktop().browse(new URI(uri));
					}catch(Exception exception){
						JOptionPane.showMessageDialog(null, "Error.", "Error", JOptionPane.ERROR_MESSAGE);
					}
				}
			}
		);
	}
	
}

